# Contributing to Tempmail

Thank you for your interest in contributing to the Tempmail! Your contributions are valuable in making this library better for everyone. Please take a moment to review the guidelines below.

## Code of Conduct

This project adheres to the [Open Source Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code.

## How to Contribute

1. Fork the repository and create a new branch for your contribution.
2. Make your changes, improvements, or bug fixes.
3. Write appropriate tests for your changes if applicable.
4. Ensure your code passes the existing tests and linting checks.
5. Submit a pull request (PR) to the `master` branch.

## Pull Request Guidelines

- Ensure that your PR description clearly explains the purpose and scope of the changes.
- Include any relevant information that can help reviewers understand the changes.
- If your PR fixes an issue, reference the issue in the description using keywords like "Fixes #issue-number."
- Follow the existing code style and formatting conventions.
- Keep your PR focused and avoid unrelated changes.

## Feedback and Discussions

If you have questions or feedback, please feel free to open an issue on the [GitHub repository](https://github.com/a-rustacean/tempmail/issues).

## Licensing

By contributing to this project, you agree that your contributions will be licensed under the [MIT License](LICENSE).

Thank you for contributing to the Tempmail!
